<?php
/*************************
	Coppermine Photo Gallery
	e107 integrated theme
	************************
	This theme is based on original 'Classic' theme from Coppermine.
	v1.0

	Coppermine version: 1.4.9
	$Source$
	$Author: v3 <v3@sonic-world.ru>$
	$Revision: 1.02 $
	$Date: 2006-09-28 04:48:42 +0400 $
**********************************************/

// ------------------------------------------------------------------------- //
// This theme has all CORE items removed                                     //
// ------------------------------------------------------------------------- //
define('THEME_IS_XHTML10_TRANSITIONAL',1);

// get tablestyle
global $CONFIG;

if (!defined('CPG_E107_CLASS_INCLUDED')) {
	header("Location: ".$_SERVER['PHP_SELF']."?theme=classic");
	die;
}

ob_start();
	tablestyle("{{{CAPTION}}}", "{{{TEXT}}}");
	$_e107_table =
ob_get_clean();
define ("e_PAGETITLE", $CONFIG['gallery_name']);

$_e107_table_start = substr ($_e107_table, 0, strpos($_e107_table, "{{{TEXT}}}"));
$_e107_table_end = substr ($_e107_table, strpos($_e107_table, "{{{TEXT}}}") + 10);

// table_stack
$v3_table_stack = array();

$v3v3 = 1;

function pageheader($section, $meta = '')
{
		global $sql, $tp, $HEADER;		
		 global $CONFIG, $THEME_DIR, $USER;
		global $_e107_table_start, $_e107_table_end;
		
		$eplug_css = "themes/" . ($USER['theme'] ? $USER['theme'] : $CONFIG['theme']) . "/style.css";
		$eplug_js = "scripts.js";
				
		if (!is_object($sql)) $sql = new db;
		require_once(HEADERF);
		
		echo str_replace("{{{CAPTION}}}", $CONFIG['gallery_name'], $_e107_table_start);
	/* default */
	
    global $template_header, $lang_charset, $lang_text_dir, $lang_index_php, $lang_main_menu;
    

    $custom_header = cpg_get_custom_include($CONFIG['custom_header_path']);

    header('P3P: CP="CAO DSP COR CURa ADMa DEVa OUR IND PHY ONL UNI COM NAV INT DEM PRE"');
    user_save_profile();

    $template_vars = array('{LANG_DIR}' => $lang_text_dir,
        '{TITLE}' => $CONFIG['gallery_name'] . ' - ' . strip_tags(bb_decode($section)),
        '{CHARSET}' => $CONFIG['charset'] == 'language file' ? $lang_charset : $CONFIG['charset'],
        '{META}' => $meta,
        '{GAL_NAME}' => $CONFIG['gallery_name'],
        '{GAL_DESCRIPTION}' => $CONFIG['gallery_description'],
        
      /*  '{SYS_MENU}' => tablestyle($lang_index_php['welcome'], theme_main_menu('sys_menu')),
        '{SUB_MENU}' => tablestyle($lang_main_menu['alb_list_lnk'], theme_main_menu('sub_menu')),*/
        
        '{SYS_MENU}' => theme_main_menu('sys_menu'),
        '{SUB_MENU}' => theme_main_menu('sub_menu'),      
        
        '{ADMIN_MENU}' => theme_admin_mode_menu(),
        '{CUSTOM_HEADER}' => $custom_header,
        );

    echo template_eval($template_header, $template_vars);
}

function starttable($width = '-1', $title = '', $title_colspan = '1')
{
    global $CONFIG, $v3_table_stack, $_e107_table_start;

    if ($width == '-1') $width = $CONFIG['picture_table_width'];
    if ($width == '100%') $width = $CONFIG['main_table_width'];
    
		$tablestart = "";
		$bck = debug_backtrace();
		$func = $bck[1]['function'];
		
		$add = "";
		
		if (preg_match("#<h2>(.*)<\/h2>#", $title, $tmp)) {
			$add = "<div class='forumheader'>$title</div>";
			$title = $tmp[1];
		}

		if ($title) {
			$tablestart = str_replace ("{{{CAPTION}}}", $title, $_e107_table_start);
			array_push($v3_table_stack, true);
		} else {
			array_push($v3_table_stack, false);
		}
		
    echo <<<EOT
$tablestart
<!-- Start standard table -->
$add
<table align="center" width="$width" cellspacing="1" cellpadding="0" class="maintable">
EOT;

}

function endtable()
{
		global $_e107_table_end, $v3_table_stack;
				
		$tableend = "";
		if (array_pop($v3_table_stack))
			$tableend = $_e107_table_end;
		
    echo <<<EOT
</table>
<!-- End standard table -->
$tableend
EOT;
}

function pagefooter()
{
    //global $HTTP_GET_VARS, $HTTP_POST_VARS, $HTTP_SERVER_VARS;
    global $USER, $USER_DATA, $ALBUM_SET, $CONFIG, $time_start, $query_stats, $queries;;
    global $template_footer;

    $custom_footer = cpg_get_custom_include($CONFIG['custom_footer_path']);

    if ($CONFIG['debug_mode']==1 || ($CONFIG['debug_mode']==2 && GALLERY_ADMIN_MODE)) {
    cpg_debug_output();
    }

    $template_vars = array(
        '{CUSTOM_FOOTER}' => $custom_footer,
        '{VANITY}' => (defined('THEME_IS_XHTML10_TRANSITIONAL') && $CONFIG['vanity_block']) ? theme_vanity() : '',
    );

    echo template_eval($template_footer, $template_vars);
	/* e107 */
		global $sql, $tp, $HEADER;		
		global $_e107_table_start, $_e107_table_end;
		
		echo $_e107_table_end;		
		
		require_once(FOOTERF);
    
}
$template_album_admin_menu = <<<EOT
         <div align="center" class="admin_menu_div">
                        <div align="center" valign="middle" class="admin_menu">
                                <a href="delete.php?id={ALBUM_ID}&amp;what=album"  class="adm_menu" onclick="return confirm('{CONFIRM_DELETE}');">{DELETE}</a>
                        </div>
                        <div align="center" valign="middle" class="admin_menu">
                                <a href="modifyalb.php?album={ALBUM_ID}"  class="adm_menu">{MODIFY}</a>
                        </div>
                        <div align="center" valign="middle" class="admin_menu">
                                <a href="editpics.php?album={ALBUM_ID}"  class="adm_menu">{EDIT_PICS}</a>
                        </div>
                        <br clear="all" />
        </div>

EOT;
$template_gallery_admin_menu = <<<EOT

                <div align="center" class="admin_menu_div">
<!-- BEGIN admin_approval -->
                                <div class="admin_menu" id="admin_menu_anim"><a href="editpics.php?mode=upload_approval" title="{UPL_APP_TITLE}">{UPL_APP_LNK}</a></div>
<!-- END admin_approval -->
                                <div class="admin_menu"><a href="admin.php" title="{ADMIN_TITLE}">{ADMIN_LNK}</a></div>
                                <div class="admin_menu"><a href="catmgr.php" title="{CATEGORIES_TITLE}">{CATEGORIES_LNK}</a></div>
                                <div class="admin_menu"><a href="albmgr.php{CATL}" title="{ALBUMS_TITLE}">{ALBUMS_LNK}</a></div>
                                <div class="admin_menu"><a href="groupmgr.php" title="{GROUPS_TITLE}">{GROUPS_LNK}</a></div>
                                <div class="admin_menu"><a href="usermgr.php" title="{USERS_TITLE}">{USERS_LNK}</a></div>
                                <div class="admin_menu"><a href="banning.php" title="{BAN_TITLE}">{BAN_LNK}</a></div>
                                <div class="admin_menu"><a href="reviewcom.php" title="{COMMENTS_TITLE}">{COMMENTS_LNK}</a></div>
                                <br clear="all" />
<!-- BEGIN log_ecards -->
                                <div class="admin_menu"><a href="db_ecard.php" title="{DB_ECARD_TITLE}">{DB_ECARD_LNK}</a></div>
<!-- END log_ecards -->
                                <div class="admin_menu"><a href="picmgr.php" title="{PICTURES_TITLE}">{PICTURES_LNK}</a></div>
                                <div class="admin_menu"><a href="searchnew.php" title="{SEARCHNEW_TITLE}">{SEARCHNEW_LNK}</a></div>
                                <div class="admin_menu"><a href="util.php" title="{UTIL_TITLE}">{UTIL_LNK}</a></div>
                                <div class="admin_menu"><a href="profile.php?op=edit_profile" title="{MY_PROF_TITLE}">{MY_PROF_LNK}</a></div>
<!-- BEGIN documentation -->
                                <div class="admin_menu"><a href="{DOCUMENTATION_HREF}" title="{DOCUMENTATION_TITLE}" target="cpg_documentation">{DOCUMENTATION_LNK}</a></div>
<!-- END documentation -->
<br clear="all" />
                </div>

EOT;
// HTML template for user admin menu
if (!isset($template_user_admin_menu))  //{THEMES}
$template_user_admin_menu = <<<EOT

                <div align="center">
                <table cellpadding="0" cellspacing="1">
                        <tr>
                                <td class="admin_menu"><a href="albmgr.php" title="{ALBMGR_TITLE}">{ALBMGR_LNK}</a></td>
                                <td class="admin_menu"><a href="modifyalb.php" title="{MODIFYALB_TITLE}">{MODIFYALB_LNK}</a></td>
                                <td class="admin_menu"><a href="profile.php?op=edit_profile" title="{MY_PROF_TITLE}">{MY_PROF_LNK}</a></td>
                                <td class="admin_menu"><a href="picmgr.php" title="{PICTURES_TITLE}">{PICTURES_LNK}</a></td>
                        </tr>
                </table>
                </div>

EOT;

$template_sys_menu_spacer = "";

$template_sys_menu = <<<EOT
<div class="sys_menu">
          {BUTTONS}
          <br clear="all" />
</div>
EOT;




// HTML template for template sub_menu
$template_sub_menu = <<<EOT
<table cellpadding="0" cellspacing="0" border="0" width="100%">
<tr>
    <td width="50%"></td>
<!-- BEGIN home -->
    <td><img src="themes/e107/images/menu_button_bg_left.gif" border="0" alt="" /><br /></td>
    <td style="background-image:url(themes/e107/images/menu_button_bg_middle.gif);" valign="top">
            <a href="index.php"><img src="themes/e107/images/home.gif" border="0" alt="" /><br /></a>
    </td>
    <td><img src="themes/e107/images/menu_button_bg_right.gif" border="0" alt="" /><br /></td>
<!-- END home -->
<!-- BEGIN custom_link -->
	<td><img src="themes/e107/images/menu_button_bg_left.gif" border="0" alt="" /><br /></td>
    <td style="background-image:url(themes/e107/images/menu_button_bg_middle.gif);" valign="top">
            <a href="{CUSTOM_LNK_TGT}" title="{CUSTOM_LNK_TITLE}">{CUSTOM_LNK_LNK}</a>
    </td>
    <td><img src="themes/e107/images/menu_button_bg_right.gif" border="0" alt="" /><br /></td>
<!-- END custom_link -->
    <td><img src="themes/e107/images/menu_button_bg_left.gif" border="0" alt="" /><br /></td>
    <td style="background-image:url(themes/e107/images/menu_button_bg_middle.gif);" valign="top">
            <a href="javascript:;" onmouseover="MM_showHideLayers('SYS_MENU','','show')">@</a>
    </td>
    <td><img src="themes/e107/images/menu_button_bg_right.gif" border="0" alt="" /><br /></td>
    <!-- BEGIN album_list -->
	<td><img src="themes/e107/images/menu_button_bg_left.gif" border="0" alt="" /><br /></td>
    <td style="background-image:url(themes/e107/images/menu_button_bg_middle.gif);" valign="top">
            <a href="{ALB_LIST_TGT}" title="{ALB_LIST_TITLE}">{ALB_LIST_LNK}</a>
    </td>
    <td><img src="themes/e107/images/menu_button_bg_right.gif" border="0" alt="" /><br /></td>
<!-- END album_list -->
<!-- BEGIN lastup -->
    <td><img src="themes/e107/images/menu_button_bg_left.gif" border="0" alt="" /><br /></td>
    <td style="background-image:url(themes/e107/images/menu_button_bg_middle.gif);" valign="top">
            <a href="{LASTUP_TGT}" onmouseover="MM_showHideLayers('SYS_MENU','','hide')" title="{LASTUP_LNK}">{LASTUP_LNK}</a>
    </td>
    <td><img src="themes/e107/images/menu_button_bg_right.gif" border="0" alt="" /><br /></td>
<!-- END lastup -->
<!-- BEGIN lastcom -->
    <td><img src="themes/e107/images/menu_button_bg_left.gif" border="0" alt="" /><br /></td>
    <td style="background-image:url(themes/e107/images/menu_button_bg_middle.gif);" valign="top">
            <a href="{LASTCOM_TGT}" onmouseover="MM_showHideLayers('SYS_MENU','','hide')" title="{LASTCOM_LNK}">{LASTCOM_LNK}</a>
    </td>
    <td><img src="themes/e107/images/menu_button_bg_right.gif" border="0" alt="" /><br /></td>
<!-- END lastcom -->
<!-- BEGIN topn -->
    <td><img src="themes/e107/images/menu_button_bg_left.gif" border="0" alt="" /><br /></td>
    <td style="background-image:url(themes/e107/images/menu_button_bg_middle.gif);" valign="top">
            <a href="{TOPN_TGT}" onmouseover="MM_showHideLayers('SYS_MENU','','hide')" title="{TOPN_LNK}">{TOPN_LNK}</a>
    </td>
    <td><img src="themes/e107/images/menu_button_bg_right.gif" border="0" alt="" /><br /></td>
<!-- END topn -->
<!-- BEGIN toprated -->
    <td><img src="themes/e107/images/menu_button_bg_left.gif" border="0" alt="" /><br /></td>
    <td style="background-image:url(themes/e107/images/menu_button_bg_middle.gif);" valign="top">

            <a href="{TOPRATED_TGT}" onmouseover="MM_showHideLayers('SYS_MENU','','hide')" title="{TOPRATED_LNK}">{TOPRATED_LNK}</a>
    </td>
    <td><img src="themes/e107/images/menu_button_bg_right.gif" border="0" alt="" /><br /></td>
<!-- END toprated -->
<!-- BEGIN favpics -->
    <td><img src="themes/e107/images/menu_button_bg_left.gif" border="0" alt="" /><br /></td>
    <td style="background-image:url(themes/e107/images/menu_button_bg_middle.gif);" valign="top">
            <a href="{FAV_TGT}" onmouseover="MM_showHideLayers('SYS_MENU','','hide')" title="{FAV_LNK}">{FAV_LNK}</a>
    </td>
    <td><img src="themes/e107/images/menu_button_bg_right.gif" border="0" alt="" /><br /></td>
<!-- END favpics -->
<!-- BEGIN search -->
    <td><img src="themes/e107/images/menu_button_bg_left.gif" border="0" alt="" /><br /></td>
    <td style="background-image:url(themes/e107/images/menu_button_bg_middle.gif);" valign="top">
            <a href="{SEARCH_TGT}" onmouseover="MM_showHideLayers('SYS_MENU','','hide')" title="{SEARCH_LNK}">{SEARCH_LNK}</a>
    </td>
    <td><img src="themes/e107/images/menu_button_bg_right.gif" border="0" alt="" /><br /></td>
<!-- END search -->
    <td width="50%"></td>
  </tr>
</table>
EOT;

?>